import React from 'react';
import type { StoreBridge, SelectorFn, StoreProviderProps } from './types';
/**
 * Create a store with `useHook`
 */
export declare function createStore<Value extends object, State = void>(useHook: (initialState?: State) => Value): {
    Context: React.Context<StoreBridge<Value> | null>;
    Provider: React.MemoExoticComponent<({ initialState, children }: StoreProviderProps<State, Value>) => JSX.Element>;
    useSelector: <Selected>(selector: SelectorFn<Value, Selected>) => Selected;
    usePicker: () => Value;
    withProvider: <T extends object>(Children: React.FC<T>, initialState?: State) => React.FC<T>;
};
